
QGIS Application - Bug report #8030

Old labeling does not work in 1.9

2013-06-09 02:48 PM - rcline -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16875

Description

When importing a 1.8 project, the default label of "Label" is displayed. I tried using the old labeling in a new project with shapefiles,

postgres and SpatialLite tables. Labeling works for the first field in the attribute table. Any other field and the default label is displayed.

Unless this is fixed there is no reason to keep the old labeling. Using Friday's nightly build from Dakota Cartography on OS X 10.8.3.

Marco Lechner also reported problems with old labeling on the dev list, but did not give OS.

Associated revisions

Revision 42d57d6f - 2013-07-11 01:19 AM - Jürgen Fischer

fix old labeling (fixes #8030)

History

#1 - 2013-06-17 04:04 AM - Marco Lechner

I can confirm this problem when compiling master on many Linux distributions.

#2 - 2013-07-09 11:12 PM - Nathan Woodrow

Larry what is your stance on this?

#3 - 2013-07-10 04:19 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"42d57d6f8f5bd9db295e87ed5fc67cede59ba36d".
